var xmlhttp;

// Konfigurowanie żądania aktualizacji danych
function sendChange(params) {
  if (!xmlhttp) xmlhttp = aaGetXmlHttpRequest();
  var url = 'process.php';
  xmlhttp.open('POST', url, true);
  xmlhttp.onreadystatechange = processResponse;
  xmlhttp.setRequestHeader('Content-Type',
    'application/x-www-form-urlencoded');
  xmlhttp.send(params);
}

// Przetwarzanie odpowiedzi
function processResponse() {
  if(xmlhttp.readyState == 4 && xmlhttp.status==200) {
      var resp=xmlhttp.responseText;
      var txt = document.createTextNode(resp);
      aaElem("message").appendChild(txt);
  }
}

// Dodawanie obsługi zdarzenia click do odpowiednich elementów div
aaManageEvent(window,'load', function () {
           if (canedit) {
             aaManageEvent(aaElem('printtitle'),'click',setTitleEdit);
             aaManageEvent(aaElem('printcontent'),'click',setContentEdit);
             aaManageEvent(aaElem('printtitle'),'mouseover',setHover);
             aaManageEvent(aaElem('printcontent'),'mouseover',setHover);
             aaManageEvent(aaElem('printtitle'),'mouseout',setHoverOff);
             aaManageEvent(aaElem('printcontent'),'mouseout',setHoverOff);
             aaManageEvent(aaElem('savetitle'),'click',saveTitle);
             aaManageEvent(aaElem('canceltitle'),'click',cancelTitle);
             aaManageEvent(aaElem('savecontent'),'click',saveContent);
             aaManageEvent(aaElem('cancelcontent'),'click',cancelContent);
           }
       });

// Konfigurowanie edycji tytułu w miejscu
function setTitleEdit() {

  // Ustawienie tekstu
  var obj = aaElem("printtitle");
  var txt = obj.firstChild.nodeValue;
  aaElem("titleinput").value = txt;

  // Zmiana sposobu wyświetlania
  obj.style.display="none";
  aaElem("title").style.display="block";
}

// Konfigurowanie edycji treści w miejscu
function setContentEdit() {

  // Ustawienie tekstu
  var obj = aaElem("printcontent");
  var txt = obj.innerHTML;
  aaElem("contenttext").value=txt;

  // Zmiana sposobu wyświetlania
  obj.style.display="none";
  aaElem("content").style.display="block";
}

function setHover(evnt) {
   evnt = evnt ? evnt : window.event;
   var eventTarget = evnt.target ? evnt.target : evnt.srcElement;
      
   eventTarget.style.backgroundColor="#ccffff";
}

function setHoverOff(evnt) {
   evnt = evnt ? evnt : window.event;
   var eventTarget = evnt.target ? evnt.target : evnt.srcElement;

   eventTarget.style.backgroundColor="#ffffff";
}

// Anulowanie edycji tytułu w miejscu
function cancelTitle() {
   aaElem("title").style.display="none";
   aaElem("printtitle").style.display="block";
}

// Zapisanie nowego tytułu
function saveTitle() {

  var post = aaElem('post').value;
  var title = aaElem('titleinput').value;
  var params = "post=" + post + "&title=" + encodeURI(title) + "&changetype=title";

  sendChange(params);

  aaElem("printtitle").firstChild.nodeValue=title;
  aaElem("printtitle").style.display="block";
  aaElem("title").style.display="none";
}

// Anulowanie edycji treści w miejscu
function cancelContent() {
   aaElem("content").style.display="none";
   aaElem("printcontent").style.display="block";
}

// Zapisanie nowej treści
function saveContent() {

  var post = aaElem('post').value;
  var content = aaElem('contenttext').value;
  var params = "post=" + post + "&content=" + encodeURI(content) + "&changetype=content";

  sendChange(params);

  aaElem("content").style.display="none";
  aaElem("printcontent").style.display="block";
  aaElem("printcontent").innerHTML=aaElem("contenttext").value;
  
}
